aboutsummaryrefslogtreecommitdiffstats
path: root/testing/exim/exim.initd
diff options
context:
space:
mode:
authorJesse Young <jlyo@jlyo.org>2011-10-27 21:32:55 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-10-28 07:54:35 +0000
commit058bc3c3c636ebc11323d39a99d7f636475d36c7 (patch)
tree8bb7afd4d5ab468ce5e13b60d52b748a18302b07 /testing/exim/exim.initd
parentdcf651a483101f741cd7e9d86c910c464fb87927 (diff)
downloadaports-058bc3c3c636ebc11323d39a99d7f636475d36c7.tar.bz2
aports-058bc3c3c636ebc11323d39a99d7f636475d36c7.tar.xz
testing/exim: new aport
A Message Transfer Agent http://www.exim.org/ Signed-off-by: Jesse Young <jlyo@jlyo.org>
Diffstat (limited to 'testing/exim/exim.initd')
-rw-r--r--testing/exim/exim.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/exim/exim.initd b/testing/exim/exim.initd
new file mode 100644
index 0000000000..fcd46d4785
--- /dev/null
+++ b/testing/exim/exim.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-mta/exim/files/exim.rc7,v 1.2 2011/08/16 16:51:36 idl0r Exp $
+
+opts="${opts} reload"
+
+depend() {
+ need logger
+ use antivirus net
+ provide mta
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --quiet --exec /usr/sbin/exim --pidfile /var/run/${SVCNAME}.pid -- -C /etc/exim/${SVCNAME}.conf ${EXIM_OPTS:--bd -q15m}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile /var/run/${SVCNAME}.pid --name exim
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile /var/run/${SVCNAME}.pid --name exim
+ eend $?
+}